# Variable select_by_code`Const`

select_by_code: {
blockDisplay: boolean;
configFields: object[];
description: string;
isEdit: boolean;
run: (
nm: any,
v: any,
attrs: any,
cls: any,
reqd: any,
field: any,
) => object;
type: string;
fill_options(
field: any,
force_allow_none: any,
where0: any,
extraCtx: any,
optionsQuery: any,
formFieldNames: any,
user: any,
): Promise<void>;
} = ...

#### Type Declaration

- ##### blockDisplay: boolean

- ##### configFields: object[]

- ##### description: string

- ##### isEdit: boolean

- ##### run: (nm: any, v: any, attrs: any, cls: any, reqd: any, field: any) => object

- ##### type: string

- ##### fill_options: function

  - fill_options(
    field: any,
    force_allow_none: any,
    where0: any,
    extraCtx: any,
    optionsQuery: any,
    formFieldNames: any,
    user: any,
    ): Promise<void>

    #### Parameters

    - field: any
    - force_allow_none: any
    - where0: any
    - extraCtx: any
    - optionsQuery: any
    - formFieldNames: any
    - user: any

    #### Returns Promise<void>

    - Defined in packages/saltcorn-data/base-plugin/fieldviews.js:467

- Defined in packages/saltcorn-data/base-plugin/fieldviews.js:435